Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

API token obtained from the Tokens endpoint or CLI device login. Include as Authorization: Bearer <token>. Requests made with a managed CLI session also include X-Strix-Workspace: <organization_id> to pin a process to the workspace it started in; recovery endpoints report the current workspace after a concurrent switch.

Path Parameters

vulnerabilityId
string
required

ID of the vulnerability. Use the id field of a finding from listVulnerabilities.

Response

Vulnerability history.

id
string<uuid>
required
vulnerability_id
string
required
previous_status
string | null
required
new_status
string | null
required
previous_severity
enum<string> | null
required
Available options:
critical,
high,
medium,
low,
null
new_severity
enum<string> | null
required
Available options:
critical,
high,
medium,
low,
null
previous_snoozed_until
string<date-time> | null
required
new_snoozed_until
string<date-time> | null
required
changed_by
string
required
note
string | null
required
reason
string | null
required
created_at
string<date-time>
required